/*
The following licence has been copied from
http://www.opensource.org/licenses/mit-license.html

Copyright (c) 2000, Peter Arthur Loeb

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/
package com.palserv.XMidi;

/**
 * internal class
 * <p>
 * NOT FOR EXTERNAL USE
 * <p>
 * This class is more like a data structure.
 * It contains variables, but no methods.
 * It is used to pass these variables
 * as a return from the
 * {@link com.palserv.XMidi.Util#getCmdLine(String[]) Util.getCmdLine}
 * method, which is where the command line arguments are
 * documented.
*/
public class CmdLineArgs {
/**
 * Used to hold the first non-option command line argument.
 * This is the name of the input file.
*/
	public String inFile;

/**
 * Used to hold the second non-option command line argument.
 * This is the name of the output file.
*/
	public String outFile;

/**
 * Used to hold the value of the -p command line option,
 * fully qualified.  This means that if the -q option
 * was coded then this variable will simply hold the value
 * of the -p option.  But if the -q option was not coded
 * then this variable will hold the value of the -p option
 * prepended with the package name &quot;com.palserv.XMidi&quot;.
*/
	public String parserName;

/**
 * Used to hold the (fully qualified) name of the debug file
*/
	public String debugFile;

/**
 * Used to hold the answer of &quot;was the -v option coded?&quot;
 * @default false
*/
	public boolean verbose = false;
}
